aboutsummaryrefslogtreecommitdiffstats
path: root/packaging/macosx
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2013-10-17 22:34:38 +0000
committerGerald Combs <gerald@wireshark.org>2013-10-17 22:34:38 +0000
commit98f3bb5f151985d54ef2100fcf4f29553f825166 (patch)
tree614b785c4d729fc5bdd43100bfccf98ff83d9087 /packaging/macosx
parente746a624591da17fab838258f60119942b76e778 (diff)
Sign all of the executables.
svn path=/trunk/; revision=52663
Diffstat (limited to 'packaging/macosx')
-rwxr-xr-xpackaging/macosx/osx-app.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/packaging/macosx/osx-app.sh b/packaging/macosx/osx-app.sh
index dc55bef916..69bfbc34d8 100755
--- a/packaging/macosx/osx-app.sh
+++ b/packaging/macosx/osx-app.sh
@@ -580,8 +580,15 @@ else
fi
if [ -n "$CODE_SIGN_IDENTITY" ] ; then
- echo -e "Signing $package"
- codesign --sign "$CODE_SIGN_IDENTITY" --verbose "$package" || exit 1
+ echo -n "Signing executables:"
+ for file in $pkgbin/* ; do
+ echo -n " $file"
+ codesign --sign "$CODE_SIGN_IDENTITY" --verbose "$file"
+ codesign --verify --verbose "$file" || exit 1
+ done
+ echo
+ echo "Signing $package"
+ codesign --sign "$CODE_SIGN_IDENTITY" --verbose "$package"
codesign --verify --verbose "$package" || exit 1
fi